Create an identity provider
Create a new identity provider based on the provided request data.
Authorization
auth ApiKey AuthorizationBearer <token>
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
In: header
X-API-KEY<token>
Internal API key for admin endpoints. Example: "X-API-KEY: {key}"
In: header
Request Body
application/json
The request data for adding the identity provider.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/identity-providers" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "type": "string", "clientId": "string", "clientSecret": "string", "authorizationEndpoint": "string", "accessTokenEndpoint": "string", "userinfoEndpoint": "string" }'"string"